Subject: Offline Message from Robin Shackelford: I have a swagtron T3 hoverboard that
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Wed, 13 Nov 2019 00:49:44 -0000

From: Robin Shackelford <[email-masked]>
Phone: 2695470832
Location: Kalamazoo, United States
URL: https://swagtron.com/
Department: SwagTron

I have a swagtron T3 hoverboard that I got my kids last year for Christmas. I know it was the older model but it’s still fairly new. It won’t turn on. It beeps and the blue light in the middle flashes and it turns off as soon as you release the power button. I have tried everything in troubleshooting. Is there any way you can help? I feel like it should last longer than this for the cost. Than you!

----
Zopim
https://www.zopim.com